Archives: Concorder 3 for MacOS Classic

JConcorder Home

Cette page en fran├žais

The original "Concorder" software was a Macintosh-native application (thus running on only the Macintosh). It runs in the classic environment, and has been tested on systems up to MacOS 8.x. It will not run on the most recent generation of Macs.

It is provided here for archival purposes and may be downloaded by those who still use the old generation of Macintosh:

Download Concorder 3 for MacOS Classic


XHTML CSS